aboutsummaryrefslogtreecommitdiffstats
path: root/make/runtest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/runtest.sh')
-rw-r--r--make/runtest.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/make/runtest.sh b/make/runtest.sh
new file mode 100644
index 0000000..8001c82
--- /dev/null
+++ b/make/runtest.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+builddir=$1
+shift
+
+if [ -z "$builddir" ] ; then
+ echo Usage $0 build-dir
+ exit 1
+fi
+
+echo com.sun.gluegen.test.TestPointerBufferEndian
+java -Djava.library.path=$builddir/obj -classpath $builddir/classes com.sun.gluegen.test.TestPointerBufferEndian
+echo
+echo com.sun.gluegen.test.TestStructAccessorEndian
+java -Djava.library.path=$builddir/obj -classpath $builddir/classes com.sun.gluegen.test.TestStructAccessorEndian
+echo